| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Stdio

# Method Stdio.gethostip()

Method gethostip

  `mapping(string:mapping) gethostip()`

Description

  Returns the IP addresses of the host.

Returns

  Returns a mapping that maps interface name to a mapping with more information about that interface. That information mapping looks as follows.

  `"ips" : array(string)` | A list of all IP addresses bound to this interface.